package com.ruoyi.project.training.elearn.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.elearn.mapper.TElUserExamMapper;
import com.ruoyi.project.training.elearn.domain.TElUserExam;
import com.ruoyi.project.training.elearn.service.ITElUserExamService;

/**
 * 我的成绩Service业务层处理
 *
 * @author ssy
 * @date 2024-05-31
 */
@Service
public class TElUserExamServiceImpl implements ITElUserExamService
{
    @Autowired
    private TElUserExamMapper tElUserExamMapper;

    /**
     * 查询我的成绩
     *
     * @param id 我的成绩ID
     * @return 我的成绩
     */
    @Override
    public TElUserExam selectTElUserExamById(Long id)
    {
        return tElUserExamMapper.selectTElUserExamById(id);
    }

    /**
     * 查询我的成绩列表
     *
     * @param tElUserExam 我的成绩
     * @return 我的成绩
     */
    @Override
    public List<TElUserExam> selectTElUserExamList(TElUserExam tElUserExam)
    {
        return tElUserExamMapper.selectTElUserExamList(tElUserExam);
    }

    /**
     * 新增我的成绩
     *
     * @param tElUserExam 我的成绩
     * @return 结果
     */
    @Override
    public int insertTElUserExam(TElUserExam tElUserExam)
    {
        return tElUserExamMapper.insertTElUserExam(tElUserExam);
    }

    /**
     * 修改我的成绩
     *
     * @param tElUserExam 我的成绩
     * @return 结果
     */
    @Override
    public int updateTElUserExam(TElUserExam tElUserExam)
    {
        return tElUserExamMapper.updateTElUserExam(tElUserExam);
    }

    /**
     * 批量删除我的成绩
     *
     * @param ids 需要删除的我的成绩ID
     * @return 结果
     */
    @Override
    public int deleteTElUserExamByIds(Long[] ids)
    {
        return tElUserExamMapper.deleteTElUserExamByIds(ids);
    }

    /**
     * 删除我的成绩信息
     *
     * @param id 我的成绩ID
     * @return 结果
     */
    @Override
    public int deleteTElUserExamById(Long id)
    {
        return tElUserExamMapper.deleteTElUserExamById(id);
    }
}
